Package org.eclipse.cdt.core.dom.ast

# Class ExpansionOverlapsBoundaryException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.cdt.core.dom.ast.ExpansionOverlapsBoundaryException

All Implemented Interfaces:
  `Serializable`

public class ExpansionOverlapsBoundaryException extends Exception
See `IASTNode.getTrailingSyntax()` and `IASTNode.getLeadingSyntax()`.

Since:
  5.1
See Also:
  - Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`ExpansionOverlapsBoundaryException()`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExpansionOverlapsBoundaryException

public ExpansionOverlapsBoundaryException()